SDL_PauseAudioDevice(3)

NAME
SDL_PauseAudioDevice - Use this function to pause audio playback on a specified device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_PauseAudioDevice(SDL_AudioDeviceID dev);

DESCRIPTION
This function pauses audio processing for a given device. Any bound audio streams will not progress, and no audio will be generated. Pausing one device does not prevent other unpaused devices from running. Unlike in SDL2, audio devices start in an _unpaused_ state, since an app has to bind a stream before any audio will flow. Pausing a paused device is a legal no-op. Pausing a device can be useful to halt all audio without unbinding all the audio streams. This might be useful while a game is paused, or a level is loading, etc. Physical devices can not be paused or unpaused, only logical devices created through SDL_OpenAudioDevice () can be.

FUNCTION PARAMETERS

dev a device opened by SDL_OpenAudioDevice ()

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ResumeAudioDevice(3), SDL_AudioDevicePaused(3)